<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Bibliothéque de ISET SFAX</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="{{ asset ('https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback') }}">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="{{ asset ('template/plugins/fontawesome-free/css/all.min.css') }}">
    <!-- icheck bootstrap -->
    <link rel="stylesheet" href="{{ asset ('template/plugins/icheck-bootstrap/icheck-bootstrap.min.css') }}">
    <!-- Theme style -->
    <link rel="stylesheet" href="{{ asset ('template/dist/css/adminlte.min.css') }}">
</head>
<body class="hold-transition login-page" >
<div class="login-box" >
    <!-- /.login-logo -->
    <div class="card card-outline card-primary" style="color: #343a40; border-top-color: #343a40">
        <div class="card-header text-center">
            <a href="http://www.isetsf.rnu.tn/" class="h1"><b>ISET SFAX</b></a>
        </div>
        <div class="card-body">
            <p class="login-box-msg">Sign in to start your session</p>

            <form action="#" method="post">
                {% if error %}
                    <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                {% endif %}
                {% if app.user %}
                    <div class="mb-3">
                        You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
                    </div>
                {% endif %}

                <div class="input-group mb-3">
                    <input type="text" value="{{ last_username }}" name="login" id="inputLogin"
                           class="form-control" autocomplete="username" required autofocus placeholder="Login">
                    <div class="input-group-append">
                        <div class="input-group-text">
                            <span class="fas fa-envelope"></span>
                        </div>
                    </div>
                </div>
                <div class="input-group mb-3">
                    <input type="password" name="password" id="inputPassword" class="form-control"
                           autocomplete="current-password" required placeholder="Password">
                    <div class="input-group-append">
                        <div class="input-group-text">
                            <span class="fas fa-lock"></span>
                        </div>
                    </div>
                </div>
                <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

                <div class="row">
                    <div class="col-8">
                        <div class="icheck-primary">
                            <input type="checkbox" id="remember">
                            <label for="remember">
                                Remember Me
                            </label>
                        </div>
                    </div>
                    <!-- /.col -->
                    <div class="col-4">
                        <button type="submit" class="btn btn-primary btn-block" style="background-color: #343a40;
                        border-color: #343a40; ">Sign In</button>
                    </div>
                    <!-- /.col -->
                </div>
            </form>
        </div>
        <!-- /.card-body -->
    </div>
    <!-- /.card -->
</div>
<!-- /.login-box -->

<!-- jQuery -->
<script src="{{ asset ('template/plugins/jquery/jquery.min.js') }}"></script>
<!-- Bootstrap 4 -->
<script src="{{ asset ('template/plugins/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
<!-- AdminLTE App -->
<script src="{{ asset ('template/dist/js/adminlte.min.js') }}"></script>
</body>
</html>

{#
{% extends 'base.html.twig' %}

{% block body %}
    <!-- Main content -->
    <div style="padding-top: 20px; display: flex; align-items: center; justify-content: center">
    <section class="content">
        <div class="container-fluid">
            <div class="row">

                <div class="login-box" >
                    <!-- /.login-logo -->
                    <div class="card card-outline card-primary" style="color: #343a40; border-top-color: #343a40">
                        <div class="card-header text-center">
                            <a href="http://www.isetsf.rnu.tn/" class="h1"><b>ISET SFAX</b></a>
                        </div>
                        <div class="card-body">
                            <p class="login-box-msg">Connecter vous pour Entrer</p>

                            <form action="#" method="post">
                                {% if error %}
                                    <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                                {% endif %}
                                {% if app.user %}
                                    <div class="mb-3">
                                        You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
                                    </div>
                                {% endif %}

                                <div class="input-group mb-3">
                                    <input type="text" value="{{ last_username }}" name="login" id="inputLogin"
                                           class="form-control" autocomplete="username" required autofocus placeholder="Login">
                                    <div class="input-group-append">
                                        <div class="input-group-text">
                                            <span class="fas fa-envelope"></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="input-group mb-3">
                                    <input type="password" name="password" id="inputPassword" class="form-control"
                                           autocomplete="current-password" required placeholder="Password">
                                    <div class="input-group-append">
                                        <div class="input-group-text">
                                            <span class="fas fa-lock"></span>
                                        </div>
                                    </div>
                                </div>
                                <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

                                <div class="row">
                                    <div class="col-8">
                                        <div class="icheck-primary">
                                            <input type="checkbox" id="remember">
                                            <label for="remember">
                                                Remember Me
                                            </label>
                                        </div>
                                    </div>
                                    <!-- /.col -->
                                    <div class="col-4">
                                        <button type="submit" class="btn btn-primary btn-block" style="background-color: #343a40;
                        border-color: #343a40; ">Sign In</button>
                                    </div>
                                    <!-- /.col -->
                                </div>
                            </form>
                        </div>
                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
                </div>
                <!-- /.login-box -->
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </div><!-- /.container-fluid -->
    </section>
    </div>
    <!-- /.content -->
{% endblock%}#}
